Imports DevExpress.Xpf.Docking
Imports DevExpress.Xpf.Printing
Imports Microsoft.Win32



Public Class ucVisualizadorInformesa

    Private Sub ucVisualizadorInformes_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        Try
            DirectCast(Me.Parent, DocumentPanel).Tag = "visualizadorinformes"

        Catch ex As Exception

        End Try
    End Sub


    Private Sub ucVisualizadorInformes_Unloaded(sender As Object, e As RoutedEventArgs) Handles Me.Unloaded
        'Try
        '    Dim modelo As tsXtraReportPreviewModel = Me.Visualizador.Model
        '    modelo.Report.Dispose()
        '    modelo.Dispose()
        'Catch ex As Exception
        'End Try
    End Sub

    'Private Sub Visualizador_Loaded(sender As Object, e As RoutedEventArgs) Handles Visualizador.Loaded
    '    Debug.Print(Me.Visualizador.DocumentViewer.ToString)
    'End Sub
End Class
'Public Class tsXtraReportPreviewModel
'    Inherits XtraReportPreviewModel

'    Public Sub New(ByVal report As DevExpress.XtraReports.UI.XtraReport)
'        MyBase.New(report)
'    End Sub
'    Protected Overrides Sub Save(parameter As Object)
'        'MyBase.Save(parameter)

'        Dim sfd As New SaveFileDialog
'        sfd.FileName = PrintingSystem.ExportOptions.PrintPreview.DefaultFileName
'        sfd.Filter = "Archivo pdf|*.pdf"
'        sfd.DefaultExt = ".pdf"
'        If sfd.ShowDialog Then
'            PrintingSystem.ExportToPdf(sfd.FileName)
'        End If

'    End Sub
'End Class
